Bug 1845247 (CVE-2020-8172) - CVE-2020-8172 nodejs: TLS session reuse can lead to hostname verification bypass
Summary: CVE-2020-8172 nodejs: TLS session reuse can lead to hostname verification bypass
Keywords:
Status: CLOSED ERRATA
Alias: CVE-2020-8172
Product: Security Response
Classification: Other
Component: vulnerability
Version: unspecified
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Red Hat Product Security
QA Contact:
URL:
Whiteboard:
Depends On: 1845688 1845248 1845249 1845250 1845251 1845252 1845253 1845254 1845687 1845689 1845690 1845691 1845692 1845708 1845709 1851456
Blocks: 1845265
TreeView+ depends on / blocked
 
Reported: 2020-06-08 18:57 UTC by Guilherme de Almeida Suckevicz
Modified: 2021-02-16 19:55 UTC (History)
15 users (show)

Fixed In Version: nodejs-12.18.0, nodejs-14.4.0
Doc Type: If docs needed, set a value
Doc Text:
A TLS Hostname verification bypass vulnerability exists in NodeJS. This flaw allows an attacker to bypass TLS Hostname verification when a TLS client reuses HTTPS sessions.
Clone Of:
Environment:
Last Closed: 2020-07-07 13:27:48 UTC


Attachments (Terms of Use)


Links
System ID Private Priority Status Summary Last Updated
Red Hat Product Errata RHBA-2020:2900 0 None None None 2020-07-13 18:24:55 UTC
Red Hat Product Errata RHSA-2020:2847 0 None None None 2020-07-07 09:12:21 UTC
Red Hat Product Errata RHSA-2020:2852 0 None None None 2020-07-07 09:39:43 UTC
Red Hat Product Errata RHSA-2020:2895 0 None None None 2020-07-13 10:48:19 UTC

Description Guilherme de Almeida Suckevicz 2020-06-08 18:57:02 UTC
TLS session reuse can lead to host certificate verification bypass in node version < 12.18.0 and < 14.4.0.

References:
https://nodejs.org/en/blog/vulnerability/june-2020-security-releases/
https://hackerone.com/reports/811502

Comment 1 Guilherme de Almeida Suckevicz 2020-06-08 18:57:53 UTC
Created nodejs tracking bugs for this issue:

Affects: epel-all [bug 1845254]
Affects: fedora-all [bug 1845248]


Created nodejs:10/nodejs tracking bugs for this issue:

Affects: fedora-all [bug 1845249]


Created nodejs:11/nodejs tracking bugs for this issue:

Affects: fedora-all [bug 1845250]


Created nodejs:12/nodejs tracking bugs for this issue:

Affects: fedora-all [bug 1845251]


Created nodejs:13/nodejs tracking bugs for this issue:

Affects: fedora-all [bug 1845252]


Created nodejs:14/nodejs tracking bugs for this issue:

Affects: fedora-all [bug 1845253]

Comment 6 Jason Shepherd 2020-06-09 20:35:30 UTC
The impact of this vulnerability was reduced to moderate because of the challenges faced by an attacker trying to exploit this vulnerability. In addition to only being able to thwart HTTPS requests which reuse an existing HTTPS session, they would need to be in a privileged network position, such as on the same Wifi network in order to serve malicious HTTPS requests in place of legitimate ones.

Comment 9 Jason Shepherd 2020-06-09 20:40:13 UTC
Statement:

This issue only affects the TLS 1.2 protocol, not TLS 1.3. This issue does not affect NodeJS 10.

Red Hat Quay installed NodeJS as a dependency of Yarn. It does not use NodeJS at runtime, but executes Javascript on the client's browser instead. Therefore the impact of this vulnerability on Red Hat Quay is low.

Comment 13 Laurie Morse 2020-06-15 18:15:10 UTC
What is the ETA for this fix with RHEL 8 and NodeJS 12?  We have a release deadline for July and this CVE is needed.

Comment 16 errata-xmlrpc 2020-07-07 09:12:16 UTC
This issue has been addressed in the following products:

  Red Hat Enterprise Linux 8.1 Extended Update Support

Via RHSA-2020:2847 https://access.redhat.com/errata/RHSA-2020:2847

Comment 17 errata-xmlrpc 2020-07-07 09:39:39 UTC
This issue has been addressed in the following products:

  Red Hat Enterprise Linux 8

Via RHSA-2020:2852 https://access.redhat.com/errata/RHSA-2020:2852

Comment 18 Product Security DevOps Team 2020-07-07 13:27:48 UTC
This bug is now closed. Further updates for individual products will be reflected on the CVE page(s):

https://access.redhat.com/security/cve/cve-2020-8172

Comment 19 errata-xmlrpc 2020-07-13 10:48:16 UTC
This issue has been addressed in the following products:

  Red Hat Software Collections for Red Hat Enterprise Linux 7
  Red Hat Software Collections for Red Hat Enterprise Linux 7.6 EUS
  Red Hat Software Collections for Red Hat Enterprise Linux 7.7 EUS

Via RHSA-2020:2895 https://access.redhat.com/errata/RHSA-2020:2895


Note You need to log in before you can comment on or make changes to this bug.